const util = require('../utils/util.js');
const app = getApp();
Page({
  login(e) {
    let data = e.detail.value, that = this;
    if (util.isEmpty(data.loginName) || util.isEmpty(data.password)) {
      util.showTips("请输入手机号和密码。");
      return false;
    }
    if (util.isPhone(data.loginName)) {
      util.showTips("请输入正确的手机号。");
      return false;
    }
    console.log(data)
    util.ajax({
      func: 'login/dev',
      data: data
    }, (res) => {
      if (res.code == 0) {
        res.data.role = util.userRole(Math.round(res.data.score));
        app.globalData.userInfo = res.data;
        // 强制退出登录
        res.data.VERSION = 9
        wx.setStorageSync("WXuserInfo", res.data);
        wx.reLaunch({
          url: '/pages/home/index'
        })
      } else
        util.showTips(res.reason);
    });
  }
})